var AsideDireita = {

    show: function (nome) {

        if (!nome) {
            nome = $('[aside-direita-action]').attr('aside-direita-action');
        }

        $('[aside-direita-action]').addClass('ativo');
        $('[aside-direita]').hide();

        if (nome) {
            $('[aside-direita=' + nome + ']').show();
        }
        
    },

    hide: function () {

        var visibleAside = $('[aside-direita]:visible');

        if (visibleAside && visibleAside.length > 0) {
            $('[aside-direita-action]').attr('aside-direita-action', visibleAside.attr('aside-direita'));
        }

        $('[aside-direita-action]').removeClass('ativo');
        $('[aside-direita]').hide();
    },

    actionClick: function(e) {
        
        if ($(e.target).hasClass('ativo')) {
            this.hide();
        } else {
            this.show();
        }

    }

};

$(document).ready(function() {
    $('[aside-direita-action]').click($.proxy(AsideDireita.actionClick, AsideDireita));
});
